<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{007A69B8-3BEA-44F3-BD61-C5354C707F3A}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>C4IT.LIAM</RootNamespace>
    <AssemblyName>LiamM42WebApi</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>false</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug_and_copy|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\Debug %28Copy%29\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Matrix42.Common, Version=9.1.2.2773, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\_shared\Matrix42.Common.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Matrix42.Pandora.Contracts">
      <HintPath>..\_shared\Matrix42.Pandora.Contracts.dll</HintPath>
    </Reference>
    <Reference Include="netstandard" />
    <Reference Include="Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\_shared\Newtonsoft.Json.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Web.Http, Version=5.2.3.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\_shared\System.Web.Http.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
    <Reference Include="update4u.SPS.DataLayer_alt">
      <HintPath>..\_shared\update4u.SPS.DataLayer_alt.dll</HintPath>
    </Reference>
    <Reference Include="update4u.SPS.Security">
      <HintPath>..\_shared\update4u.SPS.Security.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\SharedAssemblyInfo.cs">
      <Link>Properties\SharedAssemblyInfo.cs</Link>
    </Compile>
    <Compile Include="LiamM42WebApiController.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\LIAMActiveDirectory\LiamActiveDirectory.csproj">
      <Project>{aeca0ad2-8b91-4767-9afa-e160f6662dbe}</Project>
      <Name>LiamActiveDirectory</Name>
      <Private>True</Private>
    </ProjectReference>
    <ProjectReference Include="..\LiamBaseClasses\LiamBaseClasses.csproj">
      <Project>{3531c9e6-cf6e-458e-b604-4a5a8d1c7ab0}</Project>
      <Name>LiamBaseClasses</Name>
    </ProjectReference>
    <ProjectReference Include="..\LiamHelper\LiamHelper.csproj">
      <Project>{6b0e73a6-f918-42d5-9525-d59d4d16283d}</Project>
      <Name>LiamHelper</Name>
    </ProjectReference>
    <ProjectReference Include="..\LiamMsGraph\LiamMsGraph.csproj">
      <Project>{452827db-14ff-469e-af41-1a24e1875bda}</Project>
      <Name>LiamMsGraph</Name>
    </ProjectReference>
    <ProjectReference Include="..\LiamMsTeams\LiamMsTeams.csproj">
      <Project>{dacbd3dc-1866-4b39-964a-d2a8dea2774c}</Project>
      <Name>LiamMsTeams</Name>
    </ProjectReference>
    <ProjectReference Include="..\LiamNtfs\LiamNtfs.csproj">
      <Project>{7f3085f7-1b7a-4db2-b66f-1b69ccb0002f}</Project>
      <Name>LiamNtfs</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="..\LiamMsTeams\bin\Debug\LiamMsTeams.dll">
      <Link>LiamMsTeams.dll</Link>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="AfterBuild">
    <Message Text="Copy provider libraries" Importance="high" />
    <!--<Exec Command="xcopy.exe /S ..\LiamMsTeams\bin\Debug\LiamMsTeams.dll bin\Debug" ContinueOnError="false" WorkingDirectory="." />-->
    <!--<Exec Command="xcopy.exe /S ..\LiamMsTeams\bin\Debug\LiamMsTeams.dll bin\Debug" ContinueOnError="false" WorkingDirectory="." />-->
  </Target>
  <PropertyGroup>
    <PostBuildEvent Condition=" '$(OS)' == 'Windows_NT' and '$(Configuration)' == 'Debug_and_copy' ">XCOPY /Y /R "$(ProjectDir)$(OutDir)Liam*.dll" "\\srvwsm001.imagoverum.com\c$\Program Files (x86)\Matrix42\Matrix42 Workplace Management\svc\bin"</PostBuildEvent>
  </PropertyGroup>
</Project>
